Firebird Relational Database 'protocol.cpp' XDR Protocol Remote Memory Corruption Vulnerability

Bugtraq ID: 27403
Class: Boundary Condition Error
CVE: CVE-2008-0387
Remote: Yes
Local: No
Published: Jan 28 2008 12:00AM
Updated: Mar 27 2008 01:39PM
Credit: Damian Frizza and Alfredo Ortega from Core Security Technologies are credited with discovering this vulnerability.
Vulnerable: Gentoo Linux
Firebird Firebird 2.0.3
Firebird Firebird 2.0.2
Firebird Firebird 2.0.1
Firebird Firebird 1.5.5
Firebird Firebird 1.5.4
Firebird Firebird 1.0.3
+ FreeBSD FreeBSD 4.8
+ FreeBSD FreeBSD 4.7
+ FreeBSD FreeBSD 4.6
Firebird Firebird 2.1 Beta 2
Firebird Firebird 2.0
Debian Linux 4.0 sparc
Debian Linux 4.0 s/390
Debian Linux 4.0 powerpc
Debian Linux 4.0 mipsel
Debian Linux 4.0 mips
Debian Linux 4.0 m68k
Debian Linux 4.0 ia-64
Debian Linux 4.0 ia-32
Debian Linux 4.0 hppa
Debian Linux 4.0 arm
Debian Linux 4.0 amd64
Debian Linux 4.0 alpha
Debian Linux 4.0
Not Vulnerable: Firebird Firebird 2.0.4
Firebird Firebird 1.5.6
Firebird Firebird 2.1.0 RC1


 

Privacy Statement
Copyright 2010, SecurityFocus